Flash Card for DSi 1.4 Firmware

Discussion in 'NDS - Flashcarts and Accessories' started by parisayo, Nov 14, 2009.

Nov 14, 2009
  1. parisayo
    OP

    Newcomer parisayo Newbie

    Joined:
    Sep 13, 2009
    Messages:
    3
    Country:
    United Kingdom
    Hi all,

    Been looking for a while now and cant seem to find the answer I am looking for.

    Is there a flashcard out that will work on a DSi 1.4. I ask this as the DSi has come with 1.4 installed out of the box. Is there a way round this or is there a downgrader around.

    May be a stupid question to some [​IMG] But as it is I cant find an answer.

    And also which is the best card to get? I know that may be down to preferance, but peoples opinions will help.

    Cheers for your time

    Parisayo [​IMG]
     
  2. rockstar99

    Member rockstar99 Hi

    Joined:
    Dec 3, 2008
    Messages:
    7,375
    Location:
    Toronto
    Country:
    Canada
    acekard 2i
     
  3. Rockman 3

    Banned Rockman 3 Banned

    Joined:
    Nov 13, 2009
    Messages:
    22
    Location:
    Network 1
    Country:
    United States
    i don t know about downgrader but good flashcards are EZ Vi Acecard 2i iplayer R4i revolution and M3i zero
     
  4. parisayo
    OP

    Newcomer parisayo Newbie

    Joined:
    Sep 13, 2009
    Messages:
    3
    Country:
    United Kingdom
    I've read good things abou the AceKard. Is it compatable with firmware 1.4?

    Parisayo
     
  5. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    Supercard DSONEi. It has a firmware upgrader and there is an update for 1.4
     
  6. Rockman 3

    Banned Rockman 3 Banned

    Joined:
    Nov 13, 2009
    Messages:
    22
    Location:
    Network 1
    Country:
    United States
    all flashcard that i tell you are compatative with DSi 1.4 i have DSi too [​IMG]
     
  7. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    ^^Are you kidding me..?? ^^ M3i Zero is the best, it can update its core without the need of an outdated DS console, you would need to buy an AceKard with the update already on, wich.....some stores charge for doing that, I recomend www.5thdimensionstore.com to buy your M3i Zero...!! [​IMG]
     
  8. kobykaan

    Member kobykaan GBAtemp Addict

    Joined:
    Aug 27, 2007
    Messages:
    2,994
    Country:
    United Kingdom
    there are LOADS of them!

    cards I have that work

    R4i RTS

    M3i Zero

    EZflash Vi

    Galaxy Eagle (R4 clone)

    other cards that are known to work on 1.4

    Acekard 2i

    iPlayer (not a games card its a homebrew/media player )

    iEdge (not available yet but soon)

    R4dsi

    R4i Ultra

    Supercard Dsonei

    M3i SDHC (NOT an M3 team product!)

    TTDSi

    Gold R4i

    R4i SDHC (RED)

    R4i GOLD UPGRADE

    DSTTi Advance

    EZFlash Vi Plus (new style black card gold writing)

    TTDSi SDHC (Clone TTDSi)

    SUPER R4i (another r4i clone)

    and many more clones of both R4 and TTDS cards!


    The R4i RTS I got for review recently came ready to out of the box for 1.4 with the danny phantom icon/header [​IMG]
     
  9. scrtmstr

    Member scrtmstr GBAtemp Advanced Fan

    Joined:
    Aug 20, 2009
    Messages:
    839
    Location:
    the Netherregions!
    Country:
    Netherlands
    Acekard 2i, very quick updates and some websites update it to 1.4, otherwise you might need to ask a friend to update it. The m3i zero can update it's core with a computer, but from what i've heard it isn't that great. And the m3i is costs more then the ak2i.
     
  10. rockstar99

    Member rockstar99 Hi

    Joined:
    Dec 3, 2008
    Messages:
    7,375
    Location:
    Toronto
    Country:
    Canada
    i forgot to add "or M3i Zero' yeah M3i pwn acekards ass
     
  11. morphirr

    Newcomer morphirr Newbie

    Joined:
    May 12, 2009
    Messages:
    8
    Country:
    United Kingdom
    I just ordered an Acekard 2i can you please explain simply how to update this card for the 1.4 firmware update so roms will still work, or direct me to a link which will explain how this fix is applied, thanks for any help

    Found link, here it is for anyone else who might need it

    http://gbatemp.net/index.php?showtopic=174529
     

Share This Page